org.apache.tomcat.util.net.openssl

## Class OpenSSLConf

- java.lang.Object
- - org.apache.tomcat.util.net.openssl.OpenSSLConf

- All Implemented Interfaces:
    Serializable

      public class OpenSSLConf
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenSSLConf()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCmd(OpenSSLConfCmd cmd)`
    `boolean` | `apply(long cctx, long ctx)`
    `boolean` | `check(long cctx)`
    `List<OpenSSLConfCmd>` | `getCommands()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OpenSSLConf

          public OpenSSLConf()

  - ### Method Detail

    - #### addCmd

          public void addCmd(OpenSSLConfCmd cmd)

    - #### getCommands

          public List<OpenSSLConfCmd> getCommands()

    - #### check

          public boolean check(long cctx)
                        throws Exception

      Throws:
        `Exception`

    - #### apply

          public boolean apply(long cctx,
                      long ctx)
                        throws Exception

      Throws:
        `Exception`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.